Bug 502295 - xfce4-xkb-plugin disappears from xfce panel
xfce4-xkb-plugin disappears from xfce panel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 05:31 EDT by Luis Garrido
Modified: 2009-11-22 11:58 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 11:58:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Garrido 2009-05-23 05:31:29 EDT
Description of problem:
Sometimes xfce4-xkb-plugin won't appear. If I try to add it back to the panel it only lasts there until I close its configuration window.

Version-Release number of selected component (if applicable):
xfce4-xkb-plugin-0.5.2-1.fc10.i386

How reproducible:
Random.

Steps to Reproduce:
1. Start a xfce session.
2. Sometimes (rarely) xfce4-xkb-plugin will exhibit this behaviour.
3.
  
Actual results:

Expected results:
Should work always.


Additional info:

------------------------------------------------------------------
Contents of .xsession-errors
------------------------------------------------------------------

/usr/bin/startxfce4: X server already running on display :0
xrdb:  "Xft.hinting" on line 9 overrides entry on line 6
xrdb:  "Xft.hintstyle" on line 10 overrides entry on line 7
** Message: Querying XINPUT extension
** Message: XINPUT extension found
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: This build doesn't include support for XF86Misc extension
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: another SSH agent is running at: /tmp/ssh-ODMgcq3144/agent.3144

(xfce4-xkb-plugin:3310): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash
_table != NULL' failed

(xfce4-xkb-plugin:3310): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash
_table != NULL' failed

(xfce4-xkb-plugin:3310): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash
_table != NULL' failed

(xfce4-xkb-plugin:3310): Gtk-CRITICAL **: gtk_list_store_get_value: assertion `V
ALID_ITER (iter, list_store)' failed

(xfce4-xkb-plugin:3310): GLib-GObject-WARNING **: gtype.c:3940: type id `0' is i
nvalid

(xfce4-xkb-plugin:3310): GLib-GObject-WARNING **: can't peek value table for typ
e `<invalid>' which is not currently referenced
** Message: Keyboard Layouts: screen changed: 0

** Message: No valid plug window.

(xfce4-panel:3256): Gtk-CRITICAL **: gtk_socket_get_id: assertion `GTK_WIDGET_AN
CHORED (socket)' failed

** (xfce4-panel:3256): CRITICAL **: An item was unexpectedly removed: "Keyboard 
Layouts".
Error: No running window found
Comment 1 Christoph Wickert 2009-06-02 07:03:47 EDT
Apologies for the delay. You need to help me debugging this. Please install the debuginfo packages and follow the instructions from 
http://wiki.xfce.org/howto/panel_plugin_debug

I need this info to file a bug upstream. TIA!
Comment 2 Luis Garrido 2009-06-02 19:24:47 EDT
Hi!

I followed the instructions, installed the debuginfos and created an instance of the plugin running under gdb to try to get a backtrace for you, but I am afraid I will have to desist :-(

I can't find the sequence of events to purposefully trigger this bug, so I'd have to keep using the debugging instance of the plugin around until it crashes.

However, this debugging instance makes xfce4-panel CPU usage shoot up to 90%, which slows down my system and has my fan spinning like mad the whole time. 

It can be days until the bug bites again and it would be rather uncomfortable to keep using my system like this.

If there is any alternative that doesn't bring my CPU to its knees I am willing to try it.

Thanks, anyway.
Comment 3 Luis Garrido 2009-06-02 19:38:16 EDT
Regarding my previous post, apparently I had two xfce4-panel processes and the one burning my CPU was an old one, probably from when I was fiddling trying to get the debugging version of the plugin into the panel. Now it seems to be ok, so I'll keep it around and see if I can get back to you with some useful info.

Cheers.
Comment 4 Christoph Wickert 2009-06-02 22:38:36 EDT
The plugin definitely is a little crashy, so any info you could deliver is highly appreciated. TIA.
Comment 5 Bug Zapper 2009-11-18 07:01:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christoph Wickert 2009-11-22 11:58:14 EST
This was fixed a long time ago in 0.5.2-1.fc10, however I have no intentions to push this version to Fedora 10. Please upgrade to a newer release as the support for Fedora 10 is going to end soon.

Note You need to log in before you can comment on or make changes to this bug.